Package org.eclipse.cdt.core.dom.ast.c

# Interface ICNodeFactory

All Superinterfaces:
  `INodeFactory`

public interface ICNodeFactory extends INodeFactory
Factory for AST nodes for the C programming language.

Since:
  5.1
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`ICASTArrayDesignator`
`newArrayDesignator(IASTExpression exp)`
`ICASTArrayModifier`
`newArrayModifier(IASTExpression expr)`
`IGCCASTArrayRangeDesignator`
`newArrayRangeDesignatorGCC(IASTExpression floor, IASTExpression ceiling)`
`ICASTCompositeTypeSpecifier`
`newCompositeTypeSpecifier(int key, IASTName name)`
`ICASTDesignatedInitializer`
`newDesignatedInitializer(IASTInitializer rhs)`
Deprecated.
Replaced by `newDesignatedInitializer(IASTInitializerClause)`.
`ICASTDesignatedInitializer`
`newDesignatedInitializer(IASTInitializerClause initializer)`
`ICASTElaboratedTypeSpecifier`
`newElaboratedTypeSpecifier(int kind, IASTName name)`
`ICASTEnumerationSpecifier`
`newEnumerationSpecifier(IASTName name)`
`ICASTFieldDesignator`
`newFieldDesignator(IASTName name)`
`ICASTKnRFunctionDeclarator`
`newKnRFunctionDeclarator(IASTName[] parameterNames, IASTDeclaration[] parameterDeclarations)`
`ICASTPointer`
`newPointer()`
`ICASTSimpleDeclSpecifier`
`newSimpleDeclSpecifier()`
`IGCCASTSimpleDeclSpecifier`
`newSimpleDeclSpecifierGCC(IASTExpression typeofExpression)`
Deprecated.
Replaced by `newSimpleDeclSpecifier()`
`ICASTTypedefNameSpecifier`
`newTypedefNameSpecifier(IASTName name)`
`ICASTTypeIdInitializerExpression`
`newTypeIdInitializerExpression(IASTTypeId typeId, IASTInitializer initializer)`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.INodeFactory

`newAlignmentSpecifier, newAlignmentSpecifier, newArrayDeclarator, newArraySubscriptExpression, newASMDeclaration, newAttribute, newBinaryExpression, newBreakStatement, newCaseStatement, newCastExpression, newCompoundStatement, newConditionalExpession, newContinueStatement, newDeclarationStatement, newDeclarator, newDefaultStatement, newDoStatement, newEnumerator, newEqualsInitializer, newExpressionList, newExpressionStatement, newFieldDeclarator, newFieldReference, newForStatement, newFunctionCallExpression, newFunctionCallExpression, newFunctionDeclarator, newFunctionDefinition, newGCCAttributeList, newGCCAttributeSpecifier, newGNUCompoundStatementExpression, newGotoStatement, newGotoStatement, newIdExpression, newIfStatement, newInactiveCompletionName, newInitializerExpression, newInitializerList, newLabelStatement, newLiteralExpression, newMSDeclspecList, newName, newName, newName, newNullStatement, newParameterDeclaration, newProblem, newProblemDeclaration, newProblemExpression, newProblemStatement, newReturnStatement, newSimpleDeclaration, newSwitchStatement, newToken, newTokenList, newTranslationUnit, newTypeId, newTypeIdExpression, newUnaryExpression, newWhileStatement, setEndOffset, setEndOffset, setOffsets`

## Method Details

### newArrayDesignator

ICASTArrayDesignator newArrayDesignator(IASTExpression exp)

### newArrayModifier

ICASTArrayModifier newArrayModifier(IASTExpression expr)

Specified by:
  `newArrayModifier` in interface `INodeFactory`

### newArrayRangeDesignatorGCC

IGCCASTArrayRangeDesignator newArrayRangeDesignatorGCC(IASTExpression floor, IASTExpression ceiling)

### newCompositeTypeSpecifier

ICASTCompositeTypeSpecifier newCompositeTypeSpecifier(int key, IASTName name)

Specified by:
  `newCompositeTypeSpecifier` in interface `INodeFactory`

### newDesignatedInitializer

ICASTDesignatedInitializer newDesignatedInitializer(IASTInitializerClause initializer)

Since:
  5.2

### newElaboratedTypeSpecifier

ICASTElaboratedTypeSpecifier newElaboratedTypeSpecifier(int kind, IASTName name)

Specified by:
  `newElaboratedTypeSpecifier` in interface `INodeFactory`

### newEnumerationSpecifier

ICASTEnumerationSpecifier newEnumerationSpecifier(IASTName name)

Specified by:
  `newEnumerationSpecifier` in interface `INodeFactory`

### newFieldDesignator

ICASTFieldDesignator newFieldDesignator(IASTName name)

### newKnRFunctionDeclarator

ICASTKnRFunctionDeclarator newKnRFunctionDeclarator(IASTName[] parameterNames, IASTDeclaration[] parameterDeclarations)

### newPointer

ICASTPointer newPointer()

Specified by:
  `newPointer` in interface `INodeFactory`

### newSimpleDeclSpecifier

ICASTSimpleDeclSpecifier newSimpleDeclSpecifier()

Specified by:
  `newSimpleDeclSpecifier` in interface `INodeFactory`

### newTypedefNameSpecifier

ICASTTypedefNameSpecifier newTypedefNameSpecifier(IASTName name)

Specified by:
  `newTypedefNameSpecifier` in interface `INodeFactory`

### newTypeIdInitializerExpression

ICASTTypeIdInitializerExpression newTypeIdInitializerExpression(IASTTypeId typeId, IASTInitializer initializer)

Specified by:
  `newTypeIdInitializerExpression` in interface `INodeFactory`

### newDesignatedInitializer

@Deprecated ICASTDesignatedInitializer newDesignatedInitializer(IASTInitializer rhs)
Deprecated.
Replaced by `newDesignatedInitializer(IASTInitializerClause)`.

Restriction:
  This method is not intended to be referenced by clients.

### newSimpleDeclSpecifierGCC

@Deprecated IGCCASTSimpleDeclSpecifier newSimpleDeclSpecifierGCC(IASTExpression typeofExpression)
Deprecated.
Replaced by `newSimpleDeclSpecifier()`

Restriction:
  This method is not intended to be referenced by clients.